//~ Copyright 2003, Rene Rivera.
//~ Use, modification and distribution are subject to the
//~ Boost Software License, Version 1.0. (See accompanying file
//~ LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

#ifndef BOOST_DISABLE_WARNING_HPP
#define BOOST_DISABLE_WARNING_HPP

namespace boost
{
    
    //! When applied to a variable, local or argument, it prevents
    //! "unused variable" warnings.
    template <class T>
    inline void no_unused_variable_warning(const T &) { }
}

#endif // BOOST_DISABLE_WARNING_HPP
